package com.xhkjedu.sstudy.mapper.system;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sstudy.model.system.TSchool;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface SchoolMapper extends TkMapper<TSchool> {

    //获取学校当前年份
    Integer getYearById(Integer schoolid);

    //获取用户当前年份
    Integer getYearByUserId(Integer userid);

    //根据学校ids获取学校名称集合
    List<Map> listSchoolNameByIds(@Param("schoolids") List<Integer> schoolids);

    //获取用户学校id
    Integer getSchoolIdByUserid(@Param("userid")Integer userid);
}
